### Function

# GLib build_pathv

since: 2.8

#### Declaration

    gchar*
    g_build_pathv (
      const gchar* separator,
      gchar** args
    )

#### Description

Behaves exactly like g_build_path(), but takes the path elements as a string array, instead of variadic arguments.

This function is mainly meant for language bindings.

Available since: 2.8

#### Parameters

`separator`

  Type: `const gchar*`

  A string used to separator the elements of the path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`args`

  Type: An array of `filename`

  `NULL`-terminated array of strings containing the path elements.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a file system path, using the OS encoding.

#### Return value

Type: `gchar*`

A newly-allocated string that must be freed with g_free().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a file system path, using the OS encoding.